<template>
  <!-- MyStation 'Pancake' global component -->
  <pancake
    :appName="GLOBALS.__APP_NAME__"
    :ready="feedsLoaded && !feedsLoading && !feedsDataLoading"
    titleColor="default"
  >
    <!-- Pancake title -->
    <template slot="title">Feeds</template>
    <!-- Pancake content -->
    <template slot="content">
      <p class="text-muted">{{ $t(`${GLOBALS.__T_PREFIX__}.global.lastArticles`) | capitalize }}</p>
      <b-container>
        <b-row>
          <b-col cols="4" v-for="(article, index) in threeLast" :key="index">
            <!-- <div v-if="article.feedId">
              <span>{{ findFeeds({ id: article.feedId }).pop().label }}</span>
              <span>{{ new Date(article.pubDate).toLocaleDateString() }}</span>
              <span>{{ article.title }}</span>
            </div> -->
            <article-card
              v-if="article.feedId"
              :article="article"
            />
          </b-col>
        </b-row>
      </b-container>
    </template>
  </pancake>
</template>

<script>
import { BaseComponent } from '@/utils/'

import ArticleCard from '@/components/elements/ArticleCard'

export default {
  extends: BaseComponent,
  components: {
    ArticleCard
  },
  computed: {
    threeLast: function () {
      return this.lastArticles.slice(0, 3)
    }
  },
  state: {
    MyFeedsModule: [
      // 'feeds',
      'feedsLoaded',
      'feedsLoading'
    ]
  },
  getters: {
    MyFeedsModule: [
      'lastArticles',
      'findFeeds',
      'feedsDataLoading'
    ]
  },
  actions: {
    MyFeedsModule: [
      'initFeeds'
    ]
  },
  mounted () {
    if (!this.feedsLoaded) {
      this.initFeeds()
    }
  }
}
</script>
